Name:		puias-release-notes
Version:	6.2
Release:	1.puias6.1
Summary:	PUIAS Release Notes

Group:		Documentation
License:	GPLv2
URL:		http://www.puias.princeton.edu/
BuildArch:	noarch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	xdg-utils puias-logos
Obsoletes:	Red_Hat_Enterprise_Linux-Release_Notes-6-en-US

%description
Just a simple document pointing to release notes.

%prep
%setup -T -c

%build
cat > index.html <<ENDINDEX
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Release Notes</title>
</head>
<body>
<h1>PUIAS Release Notes</h1>
The release notes found on
<a href="http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/%{version}_Release_Notes/index.html">Red Hat website</a>,
while NOT for this version of Linux, are applicable.
</body>
ENDINDEX

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
cat > $RPM_BUILD_ROOT/%{_datadir}/applications/puias-release-notes.desktop <<ENDDESKTOP
[Desktop Entry]
Name=PUIAS Linux %{version} Release Notes
Comment=Release Notes for PUIAS Linux %{version}
Exec=xdg-open %{_defaultdocdir}/%{name}-%{version}/index.html
Icon=system-logo-icon
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
ENDDESKTOP

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc index.html
%{_datadir}/applications/puias-release-notes.desktop

%changelog
* Wed May 25 2011 Josko Plazonic <plazonic@math.princeton.edu>
- initial build
